Name:           perl-Test-Class-Moose
Version:        0.62
Release:        1%{?dist}
Summary:        Serious testing for serious Perl
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-Class-Moose/
Source0:        http://www.cpan.org/authors/id/D/DR/DROLSKY/Test-Class-Moose-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 1:v5.10.0
BuildRequires:  perl(Carp)
BuildRequires:  perl(Carp::Always)
BuildRequires:  perl(Class::MOP)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Moose) >= 2.0000
BuildRequires:  perl(Moose::Role) >= 2.0000
BuildRequires:  perl(Moose::Util::TypeConstraints)
BuildRequires:  perl(namespace::autoclean)
BuildRequires:  perl(Package::DeprecationManager)
BuildRequires:  perl(Parallel::ForkManager) >= v0.7.6
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Sub::Attribute)
BuildRequires:  perl(TAP::Formatter::Color)
BuildRequires:  perl(TAP::Stream) >= 0.44
BuildRequires:  perl(Test::Builder)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Most) >= 0.32
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(Test::Warnings)
BuildRequires:  perl(Try::Tiny)
Requires:       perl(Carp)
Requires:       perl(Class::MOP)
Requires:       perl(File::Spec)
Requires:       perl(List::MoreUtils)
Requires:       perl(List::Util)
Requires:       perl(Moose) >= 2.0000
Requires:       perl(Moose::Role) >= 2.0000
Requires:       perl(Moose::Util::TypeConstraints)
Requires:       perl(namespace::autoclean)
Requires:       perl(Package::DeprecationManager)
Requires:       perl(Parallel::ForkManager) >= v0.7.6
Requires:       perl(Sub::Attribute)
Requires:       perl(TAP::Formatter::Color)
Requires:       perl(TAP::Stream) >= 0.44
Requires:       perl(Test::Builder)
Requires:       perl(Test::Most) >= 0.32
Requires:       perl(Try::Tiny)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
See the Test::Class::Moose home page for a summary.

%prep
%setup -q -n Test-Class-Moose-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes dist.ini LICENSE META.json README.md weaver.ini
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Nov 11 2015 Dave Cross <dave@mag-sol.com> 0.62-1
- Specfile autogenerated by cpanspec 1.78.
